> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Void Tax Quote

POST https://your_app.example.com/void

Invalidate the persisted tax quote as identified by the given unique ID. Relevant to order cancellations, full refunds, or moving an order from a paid status to an unpaid status.

> Server URL
> - For supporting tax providers, the server URL contains the tax providerʼs profile field; for example, `your_profile.example.com`.
> - The Try it feature is not currently supported for this endpoint.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/integrations/tax-provider/void-tax-quote

## Authentication

- `Authorization` header (basic auth, required) — The [HTTP Basic Authentication](https://developer.mozilla.org/en-US/docs/Web/HTTP/Authentication) (developer.mozilla.org) credentials used to authenticate each API request to the tax provider from the associated store; set and update `username`, `password`, and optionally `profile`, using the [Update a Connection](/developer/api-reference/rest/integrations/tax-provider/tax-provider-connection/update-tax-provider-connection) request. `profile` is an optional field and will be used with supporting providers only. For more, see [developer-configured authentication](/developer/docs/overview/api-fundamentals/api-accounts#developer-configured-authentication) for Provider APIs.

## Request

### Query parameters

- `id` (string, required) — Unique ID identifying the existing, persisted tax quote that will be voided.

### Headers

- `X-Bc-Store-Hash` (string, required) — BigCommerce will send through the store hash as part of all tax provider operations. Each BigCommerce store on the platform has a unique store hash value for the store’s lifetime. This value can assist in account verification or profile matching responsibilities.

## Response

### 200

OK

## Errors

### 400 Bad Request Error

General response that points to an issue with the incoming request that means a valid response is unable to be returned.

- `any`

### 401 Unauthorized Error

Response to indicate that the merchant’s authentication credentials are invalid. The merchant will receive an update in their Store Logs.

- `any`

### 500 Internal Server Error

General response that points to an error on the tax provider side. These types of errors should be promptly resolved by the tax provider.

- `any`

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://your_app.example.com/void"

querystring = {"id":"id"}

headers = {
    "X-Bc-Store-Hash": "X-Bc-Store-Hash"
}

response = requests.post(url, headers=headers, params=querystring, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://your_app.example.com/void?id=id';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'POST',
  headers: {
    'X-Bc-Store-Hash': 'X-Bc-Store-Hash',
    Authorization: `Basic ${credentials}`
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://your_app.example.com/void?id=id"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("X-Bc-Store-Hash", "X-Bc-Store-Hash")
	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your_app.example.com/void?id=id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Bc-Store-Hash"] = 'X-Bc-Store-Hash'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://your_app.example.com/void?id=id")
  .header("X-Bc-Store-Hash", "X-Bc-Store-Hash")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://your_app.example.com/void?id=id', [
  'headers' => [
    'X-Bc-Store-Hash' => 'X-Bc-Store-Hash',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://your_app.example.com/void?id=id");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Bc-Store-Hash", "X-Bc-Store-Hash");

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "X-Bc-Store-Hash": "X-Bc-Store-Hash",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://your_app.example.com/void?id=id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```